Complete course
Mark a course revision as completed for a user.
Supported integrations
Supported integrations
Example Request Body
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The ID of the course progression in Kombo or its ID in the remote system by prefixing it with remote: (e.g., remote:12312)
Body
POST /lms/course-progressions/:course_progression_id/complete Request body
Date when the user completed the course revision. Defaults to the current date if not provided.
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?)?Z?$Score the user achieved for the course, as an integer between 0 and 100 (inclusive).
0 <= x <= 100Response
POST /lms/course-progressions/:course_progression_id/complete Positive response
"success"{
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "progress-12345",
"user_id": "7xPdr68N8kG9EzLwjsN9xyz",
"course_revision_id": "3KMdr68N8kG9EzLwjsN9aoz",
"status": "COMPLETED",
"enrolled_at": "2022-08-07T14:01:29.196Z",
"completed_at": "2022-08-07T14:01:29.196Z",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"remote_data": null,
"user": {
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "32",
"first_name": "Sarah",
"last_name": "Johnson",
"work_email": "sarah.johnson@example.com"
},
"course_revision": {
"id": "3KMdr68N8kG9EzLwjsN9aoz",
"remote_id": "revision-12345",
"title": "Building LMS integrations with Kombo",
"course": {
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "32"
}
}
}These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.